package com.flashdynamix.net {

	/**
	 * @author flashdynamix
	 */
	import flash.net.URLLoader;
	import flash.net.URLRequest;	

	public class DataItem {
		
		public var id:*;
		public var loader:URLLoader;
		public var request:URLRequest;
		public var data:*;
		
		public function DataItem(id:*, loader:URLLoader, request:URLRequest){
			this.id = id;
			this.loader = loader;
			this.request = request;
		}
		public function get progress():Number{
			if(bytesTotal<10) return 0;
			return bytesLoaded/bytesTotal;
		}
		public function get bytesLoaded():Number{
			return loader.bytesLoaded;
		}
		public function get bytesTotal():Number{
			return loader.bytesTotal;
		}
		public function get loading():Boolean{
			return (bytesLoaded<bytesTotal);
		}
		public function get loaded():Boolean{
			return (bytesLoaded==bytesTotal);
		}
	}
}
